La vulnerabilidad del Kernel de Linux-OS CONFIG_KEYS se extiende a Android, comprueba si estás afectado

Autor: | Posteado en Trucos Moviles Sin comentarios
Kernel

Una vulnerabilidad en el kernel de Linux-OS recientemente descubierta, inconveniente presente desde hará 2 años ha vuelto a saltar las alarmas además en el planeta de Android, pues posibilitaría a una aplicación maliciosa ganar privilegios de root en el sistema.

Sin embargo, previamente de llevarte las manos a la cabeza y comprarte un iPhone, te gustará conocer que seguramente no tengas ausencia de qué preocuparte, porque se poseen que entregar una abanico de requisitos arreglado propios para que tu amovible sea vulnerable. E inclusive así, no significa que ya tengas una aplicación realizando fechorías en este momento semejante en tu teléfono.

Cómo conocer si te afecta

Lo 1º de todo, esta vulnerabilidad no te afecta si tu amovible se halla en alguien de estos casos:

  • Es un teléfono Nexus
  • Tiene Android-OS 5.0 o superior
  • Tiene un kernel de Linux-OS inferior a 3.8

Aunque posiblemente ya sepas qué versión de Android-OS corre en tu teléfono, posiblemente no has memorizado el Kernel de Linux. Conseguir este referencia es demasiado fácil en Ajustes – Acerca del aparato – Versión del kernel. Este paso es innecesario si tu teléfono posee Lollipop, pues pese a que tengas exactamente la versión del kernel afectada, el método es parado por SELinux.

¿Tu teléfono no se halla en la lista de no excluidos? No es desde a posteriori lo común, pues Android-OS KitKat generalmente posee una versión del Kernel arreglado mas antigua tan la 3.4, inconveniente si es un teléfono antiguo posiblemente tampoco tengas demasiado de qué preocuparte. Este ataque solicita que dicha aplicación haga un cálculo matemático demasiado intensivo que posiblemente le llevaría horas.

Google ya ha lanzado un parche que corrige esta vulnerabilidad, que afortunadamente no parece ser una gran amenaza para la gran mayoría de los usuarios de Android, pues inclusive que se extienda a nuestros telefonos podría acaecer mucho, demasiado tiempo.

Vía | Android Central
En Xataka Android-OS | Cómo preservar tu Android-OS de la vulnerabilidad del Stagefright


La noticia La vulnerabilidad del Kernel de Linux-OS CONFIG_KEYS se extiende a Android, comprueba si estás perjudicado fue publicada originalmente en Xataka Android-OS por Iván Ramírez .


Agrega tu comentario